This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 642610 - JON241: [apache] Unable to detect the ServerName directive if it is defined in an included configuration file
JON241: [apache] Unable to detect the ServerName directive if it is defined i...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
:
Depends On:
Blocks: jon241-bugs 643563
  Show dependency treegraph
 
Reported: 2010-10-13 08:34 EDT by Lukas Krejci
Modified: 2011-05-23 21:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot (124.74 KB, image/png)
2010-11-10 07:36 EST, Sunil Kondkar
no flags Details

  None (edit)
Description Lukas Krejci 2010-10-13 08:34:01 EDT
Description of problem:
$SUMMARY

Version-Release number of selected component (if applicable):
3.0.0

How reproducible:
always

Steps to Reproduce:
1. Don't define ServerName in the main httpd.conf file
2. Put Include "somefile.conf" in the main httpd.conf
3. Define the ServerName directive in the "somefile.conf"
4. Let RHQ discover the apache instance with the above config and inventory it.
5. Enable Augeas support in the connection properties to be able to see the configuration.
6. Notice that the Server name doesn't have the value defined in the config file.
  
Actual results:
No value for the Server name in the RHQ resource configuration

Expected results:
The value as in the config file.

Additional info:
Comment 1 Charles Crouch 2010-11-02 01:55:02 EDT
This appears to have gone into the release-3.0 branch so should be testable in
JON2.4.1

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=fb4d2bdf36d713aa9bc9880db478efc81194c569
Comment 2 Sunil Kondkar 2010-11-10 07:35:27 EST
Verified on rhq-release branch 3.0.1 - build#422

Commented directives like ServerName and ServerAdmin in main httpd.conf file.
Included test.conf in the main httpd.conf (Include conf.d/test.conf)

Created a file test.conf at /etc/httpd/conf.d/

Defined the ServerName and ServerAdmin directives in the "test.conf"

Discovered and inventoried the apache instance with the above config in RHQ.

Enable Augeas support in the connection properties.

The ServerName and ServerAdmin are displayed in resource configuration as defined in test.conf. Please refer the attached screenshot.
Comment 3 Sunil Kondkar 2010-11-10 07:36:17 EST
Created attachment 459430 [details]
Screenshot
Comment 4 Sunil Kondkar 2010-11-18 06:30:11 EST
Verified this against jon-server-2.4.1-SNAPSHOT build# 24. 

Followed the steps and observed that the The ServerName and ServerAdmin are displayed in resource configuration as defined in the included configuration file.
Comment 5 Corey Welton 2011-05-23 21:17:53 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 6 Corey Welton 2011-05-23 21:17:53 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 7 Corey Welton 2011-05-23 21:17:56 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 8 Corey Welton 2011-05-23 21:17:56 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.